import { BaseChartBuilder } from '../base-chart-builder';
import { GroupingType } from '../models/grouping-type';
export declare class RadialDataBuilder<TFactory extends BaseChartBuilder<TFactory, TData>, TData> {
    private _builder;
    type: GroupingType;
    constructor(_builder: TFactory, type: GroupingType);
    appendExtraData(converter: (x: TData) => any): RadialDataBuilder<TFactory, TData>;
    seriesFrom(seriesSelector: (x: TData) => string): RadialDataBuilder<TFactory, TData>;
    maximumSeries(value: number, label: string): RadialDataBuilder<TFactory, TData>;
    take(value: number): RadialDataBuilder<TFactory, TData>;
    valueFrom(valueSelector: (x: TData[]) => number): RadialDataBuilder<TFactory, TData>;
    roundValues(decimalPlaces: number): RadialDataBuilder<TFactory, TData>;
    get chart(): TFactory;
}
